> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/transit-classic/ja/apirifarensu/apiteskara/tong-zhi-api.md).

# 通知API

[TES-IN-v1-トランジット-通知.yaml](https://openapi.gitbook.com/o/fwy1mtbRONGA2YDKDBr0/spec/TES-IN-v1-transit-notifications.yaml)

## Request to send a message to enduser device

> This method is used by TES to request TSH to send a message on the enduser device targeting a virtual card.

```json
{"openapi":"3.1.1","info":{"title":"Gemalto TSH Transit Notification API","version":"1.0.23"},"servers":[{"url":"/tsh/ttnapi/1/0"}],"paths":{"/sendMessage":{"post":{"summary":"Request to send a message to enduser device","description":"This method is used by TES to request TSH to send a message on the enduser device targeting a virtual card.","operationId":"sendMessage","parameters":[{"$ref":"#/components/parameters/actorHeader"}],"responses":{"200":{"description":"sendMessage response payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sendMessageRes"}}}},"500":{"description":"Internal Server Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/sendMessageReq"}}},"description":"sendMessage request payload","required":true}}}},"components":{"parameters":{"actorHeader":{"schema":{"type":"string","maxLength":32},"description":"HTTP header identifying the wallet provider that holds the digital card.","in":"header","name":"x-actor-id","required":false}},"schemas":{"sendMessageRes":{"type":"object","required":["responseHeader"],"properties":{"responseHeader":{"$ref":"#/components/schemas/responseHeader"}}},"responseHeader":{"type":"object","required":["responseId","sessionId","statusCode"],"properties":{"responseId":{"$ref":"#/components/schemas/responseId"},"sessionId":{"$ref":"#/components/schemas/sessionId"},"generationDateTime":{"$ref":"#/components/schemas/generationDateTime"},"statusCode":{"type":"number","description":"Status code to the request\n|Status code | Description|\n|-------|-------|\n|0|OK|\n|111|Missing mandatory parameter|\n|112|Bad parameter format|\n|113|Unknown issuer|          \n|118|Unknown session|\n|119|Unknown virtual card|                             \n|432|Operation is not allowed with current card state|     \n|911|Operation failed|          \n|921|Unexpected server error|\n"},"statusMessage":{"type":"string","description":"Textual status message"}}},"responseId":{"description":"Unique response identifier","maxLength":48,"minLength":1,"type":"string"},"sessionId":{"description":"Unique session identifier used to trace the calls across systems during a use case.","maxLength":48,"minLength":1,"type":"string"},"generationDateTime":{"description":"Date time representing when the request or response has been generated.<br/>RFC3339 format.<br/> Examples:<li>\"2018-12-24T17:32:28Z\"<li>\"2019-10-02T10:00:00-05:00\"","type":"string","format":"date-time"},"sendMessageReq":{"type":"object","required":["requestHeader","issuerId","cardId","messageDateTime","expirationDateTime","content","allowDeepLink"],"properties":{"requestHeader":{"$ref":"#/components/schemas/requestHeader"},"issuerId":{"$ref":"#/components/schemas/issuerId"},"cardId":{"$ref":"#/components/schemas/cardId"},"messageDateTime":{"$ref":"#/components/schemas/messageDateTime"},"expirationDateTime":{"$ref":"#/components/schemas/expirationDateTime"},"content":{"$ref":"#/components/schemas/content"},"allowDeepLink":{"$ref":"#/components/schemas/allowDeepLink"}}},"requestHeader":{"type":"object","required":["requestId","sessionId"],"properties":{"requestId":{"$ref":"#/components/schemas/requestId"},"sessionId":{"$ref":"#/components/schemas/sessionId"},"generationDateTime":{"$ref":"#/components/schemas/generationDateTime"}}},"requestId":{"description":"Unique request identifier","maxLength":48,"minLength":1,"type":"string"},"issuerId":{"maxLength":16,"minLength":1,"type":"string","description":"The Card Issuer Identifier. Unique for each card issuer."},"cardId":{"maxLength":48,"minLength":1,"type":"string","description":"The Card Identifier. Unique for each card."},"messageDateTime":{"description":"Date time representing when the message has been generated.<br/>RFC3339 format.<br/> Examples:<li>\"2018-12-24T17:32:28Z\"<li>\"2019-10-02T10:00:00-05:00\"","type":"string","format":"date-time"},"expirationDateTime":{"description":"Date time representing when the message is no longer valid and should be removed.<br/>RFC3339 format.<br/> Examples:<li>\"2018-12-24T17:32:28Z\"<li>\"2019-10-02T10:00:00-05:00\"","type":"string","format":"date-time"},"content":{"description":"Plain text message to be displayed to the user.","type":"string","minLength":1,"maxLength":128},"allowDeepLink":{"description":"A flag indicating if the message should \"deep link\" to the issuer's mobile application","type":"boolean"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payments.thalescloud.io/transit-classic/ja/apirifarensu/apiteskara/tong-zhi-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
